<?php /* BLOG & NEWS */

wpj_add_shortcode( 'blog_post_image', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_post_image', [ 'pid' => '' ] );
});

wpj_add_shortcode( 'blog_post_title', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_post_title', [ 'pid' => '' ] );
});

wpj_add_shortcode( 'blog_post_date', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_post_date', [ 'pid' => '' ] );
});

wpj_add_shortcode( 'blog_post_categories', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_post_categories', [ 'pid' => '', 'taxonomy' => 'news_cat' ] );
});

wpj_add_shortcode( 'blog_post_description', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_post_content', [ 'pid' => '' ] );
});

wpj_add_shortcode( 'blog_post_tags', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_post_categories', [ 'pid' => '', 'taxonomy' => 'post_tag' ] );
});

wpj_add_shortcode( 'blog_post_share', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_post_share' );
});

wpj_add_shortcode( 'blog_post_comment_form', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_post_comment_form' );
});

wpj_add_shortcode( 'blog_post_comments_list', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_post_comments' );
});

wpj_add_shortcode( 'blog_search_form', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_search_form', [ 'post_type' => '' ] );
});

wpj_add_shortcode( 'blog_categories', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_categories', [ 'taxonomy' => '' ] );
});

wpj_add_shortcode( 'blog_tags', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_tags', [ 'tags' => '' ] );
});

wpj_add_shortcode( 'blog_posts_list', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_blog_posts_list' );
});

wpj_add_shortcode( 'news_posts_list', function( $atts = '' ) {
	return wpj_fnc_to_shortcode( $atts, 'wpj_display_news_posts_list' );
});